package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;


import java.math.BigDecimal;

/**
 * 藏品对象 post_collections
 *
 * @author ruoyi
 * @date 2023-02-15
 */
public class PostCollections extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 套系id */
    @Excel(name = "套系id")
    private Long systemId;

    /** 发行方id */
    @Excel(name = "发行方id")
    private Long issuerId;

    /** 套系名称 */
    @Excel(name = "套系名称")
    private String name;

    /** 售卖开始时间 */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    @Excel(name = "售卖开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 售卖结束时间 */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    @Excel(name = "售卖结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @Excel(name = "价格")
    private BigDecimal price;

    /** 0 未上架 1 已上架 */
    @Excel(name = "0 未上架 1 已上架")
    private String status;

    /** 藏品数量 */
    @Excel(name = "藏品数量")
    private Long collectionsNumber;

    /** 藏品故事 */
    @Excel(name = "藏品故事")
    private String collectionsStory;

    /** 藏品图片储存地址 */
    @Excel(name = "藏品图片储存地址")
    private String image;

    /** 创建者 */
    @Excel(name = "创建者")
    private String createBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private String updateBy;

    /** 0 不删除 1 删除 */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSystemId(Long systemId)
    {
        this.systemId = systemId;
    }

    public Long getSystemId()
    {
        return systemId;
    }
    public void setIssuerId(Long issuerId)
    {
        this.issuerId = issuerId;
    }

    public Long getIssuerId()
    {
        return issuerId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getStatus()
    {
        return status;
    }
    public void setCollectionsNumber(Long collectionsNumber)
    {
        this.collectionsNumber = collectionsNumber;
    }

    public Long getCollectionsNumber()
    {
        return collectionsNumber;
    }
    public void setCollectionsStory(String collectionsStory)
    {
        this.collectionsStory = collectionsStory;
    }

    public String getCollectionsStory()
    {
        return collectionsStory;
    }
    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }
    public void setCreateBy(String createBy)
    {
        this.createBy = createBy;
    }

    public String getCreateBy()
    {
        return createBy;
    }
    public void setUpdateBy(String updateBy)
    {
        this.updateBy = updateBy;
    }

    public String getUpdateBy()
    {
        return updateBy;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("systemId", getSystemId())
                .append("issuerId", getIssuerId())
                .append("name", getName())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("price" , getPrice())
                .append("status", getStatus())
                .append("collectionsNumber", getCollectionsNumber())
                .append("collectionsStory", getCollectionsStory())
                .append("image", getImage())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
